config/routes.rb
Rails.application.routes.draw do

  root 'posts#index'

  devise_for :users, controllers: { omniauth_callbacks: 'callbacks' } 

  resources :users, only: [:show, :index]

  resources :posts

  resources :comments

  resources :likes

  resources :friendships

  get :pending_requests, to: 'friendships#pending'
end

app/models/comment.rb
# frozen_string_literal: true

class Comment < ApplicationRecord
  belongs_to :post
  belongs_to :user

  validates :user_id, presence: true
  validates :post_id, presence: true
  validates :content, presence: true
end

app/controllers/comments_controller.rb
# frozen_string_literal: true

class CommentsController < ApplicationController
  before_action :authenticate_user!

  def create
    @comment = current_user.comments.build(comment_params)
    if @comment.save
      flash[:success] = 'Comment successfully created'
    else
      flash[:warning] = 'Comment not created'
    end
    redirect_to posts_path
  end

  def destroy
    @comment = Comment.find_by(id: params[:id])
    return unless @comment

    @comment.delete
    flash[:success] = 'Your comment was deleted'
    redirect_to posts_path
  end

  private

  def comment_params
    params.require(:comment).permit(:post_id, :content)
  end
end

app/helpers/comments_helper.rb
# frozen_string_literal: true

module CommentsHelper
end

app/views/comments/_comment.html.erb
<div class="comment-container">
<div class="comment">
    <span class="comment-user"><%= link_to comment.user.name, user_path(comment.user)%> </span>
    <span class="comment-content"><%= comment.content %></span>
    </div>
  <% if comment.user.id == current_user.id %>
    <%= link_to(comment_path(comment.id), method: :delete, class: "comment-delete") do %>
    <%= render 'delete_icon'%>
    <% end %>
  <% end %>
</div>

app/views/comments/_new_comment.html.erb
  <%= form_for Comment.new do |f| %>
  <%= render 'error_messages', object: f.object %>
    <%= f.text_area :content, placeholder: "Write a comment...",
                              class: "new-comment" %>
    <%= f.hidden_field :post_id, value: post.id %>
    <div class="button">
    <%= f.button name: "comment-button" do %>
      <%= render 'comment_icon' %>
    <% end %>
    </div>
  <% end %>